%{?!prefix:%define prefix /usr}
%{?!tmpdir:%define tmpdir /tmp}
%define _prefix %{prefix}

# $Revision: 1.9 $, $Date: 2001/02/04 19:43:52 $
Summary:	Hash library 
Name:		mhash
Version:	0.8.9
Release:	1
License:	LGPL
Group:		Libraries
Group(de):	Libraries
Group(fr):	Librairies
Group(pl):	Biblioteki
Source0:	http://mhash.sourceforge.net/dl/%{name}-%{version}.tar.gz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Prefix:		%{prefix}

%description
Mhash is a library which provides a uniform interface to a large
number of hash algorithms. These algorithms can be used to compute
checksums, message digests, and other signatures. The HMAC support
implements the basics for message authentication, following RFC 2104.

%package devel
Summary:	Header files and development documentation for libmhash
Summary(pl):	Pliki nagwkowe i dokumentacja do libmhash
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Requires:	%{name} = %{version}

%description devel
Header files and development documentation for libmhash.

%package static
Summary:	Static version of libmhash 
Summary(pl):	Statyczna wersja biblioteki libmhash
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Requires:	%{name}-devel = %{version}

%description static
Static version of libmhash

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT"

gzip -9nf ChangeLog AUTHORS NEWS README TODO

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc *.gz 
%attr(755,root,root) %{_libdir}/lib*.so
%{_mandir}/man3/*
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mhash.spec,v $
Revision 1.9  2001/02/04 19:43:52  kloczek
- updated to 0.8.9.

Revision 1.8  2001/02/03 21:45:52  kloczek
- updated to 0.8.8.

Revision 1.7  2001/01/22 08:15:23  kloczek
- updated to 0.8.6,
- new Source url.

Revision 1.6  2000/11/10 20:43:21  kloczek
- updated to 0.8.3.

Revision 1.5  2000/06/13 20:08:03  kloczek
- changed Source url to ftp://download.sourceforge.net/pub/sourceforge/*.

Revision 1.4  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.3  2000/06/09 07:23:25  kloczek
- added using %%{__make} macro.

Revision 1.2  2000/05/29 17:43:43  kloczek
- change package name to mhash,
- remove %%{_includedir} and %{mandir}/man3 directories from package (this
  is part of FHS).

Revision 1.1  2000/05/29 15:18:11  mis
- initial version, based on libmcrypt spec

